<?php
/* Copyright (C) 2021 Copyright (C) 2021 Nicolas ZABOURI   <info@inovea-conseil.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

/**
 * \file    ichosting/lib/ichosting.lib.php
 * \ingroup ichosting
 * \brief   Library files with common functions for Ichosting
 */

/**
 * Prepare admin pages header
 *
 * @return array
 */
function ichostingAdminPrepareHead()
{
	global $langs, $conf;

	$langs->load("ichosting@ichosting");

	$h = 0;
	$head = array();

	$head[$h][0] = dol_buildpath("/ichosting/admin/setup.php", 1);
	$head[$h][1] = $langs->trans("Settings");
	$head[$h][2] = 'settings';
	$h++;

	/*
	$head[$h][0] = dol_buildpath("/ichosting/admin/myobject_extrafields.php", 1);
	$head[$h][1] = $langs->trans("ExtraFields");
	$head[$h][2] = 'myobject_extrafields';
	$h++;
	*/

	$head[$h][0] = dol_buildpath("/ichosting/admin/about.php", 1);
	$head[$h][1] = $langs->trans("About");
	$head[$h][2] = 'about';
	$h++;

	// Show more tabs from modules
	// Entries must be declared in modules descriptor with line
	//$this->tabs = array(
	//	'entity:+tabname:Title:@ichosting:/ichosting/mypage.php?id=__ID__'
	//); // to add new tab
	//$this->tabs = array(
	//	'entity:-tabname:Title:@ichosting:/ichosting/mypage.php?id=__ID__'
	//); // to remove a tab
	complete_head_from_modules($conf, $langs, null, $head, $h, 'ichosting');

	return $head;
}

//Check if someone (user) is a super user ("admin light")
function isAdminLight($someone){
    global $db;
    $sql = 'SELECT * FROM llx_adminlight WHERE idusr ='.$someone->id;
    $resql = $db->query($sql);
    return $resql->num_rows;
}

function setAdminLight($someone){
    global $db;
    $sql = 'INSERT INTO llx_adminlight (idusr) VALUES('.$someone->id.')';
    $resql = $db->query($sql);
    return $resql;
}

function unsetAdminLight($someone){
    global $db;
    $sql = 'DELETE FROM llx_adminlight WHERE idusr = '.$someone->id;
    $resql = $db->query($sql);
    return $resql;
}