<?php
/* Copyright (C) 2001-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2004-2015 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2005-2012 Regis Houssin        <regis.houssin@inodbox.com>
 * Copyright (C) 2015      Jean-François Ferry	<jfefe@aternatik.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

/**
 *	\file       ichosting/ichostingindex.php
 *	\ingroup    ichosting
 *	\brief      Home page of ichosting top menu
 */

// Load Dolibarr environment
$res = 0;
// Try main.inc.php into web root known defined into CONTEXT_DOCUMENT_ROOT (not always defined)
if (!$res && !empty($_SERVER["CONTEXT_DOCUMENT_ROOT"])) {
    $res = @include $_SERVER["CONTEXT_DOCUMENT_ROOT"]."/main.inc.php";
}
// Try main.inc.php into web root detected using web root calculated from SCRIPT_FILENAME
$tmp = empty($_SERVER['SCRIPT_FILENAME']) ? '' : $_SERVER['SCRIPT_FILENAME']; $tmp2 = realpath(__FILE__); $i = strlen($tmp) - 1; $j = strlen($tmp2) - 1;
while ($i > 0 && $j > 0 && isset($tmp[$i]) && isset($tmp2[$j]) && $tmp[$i] == $tmp2[$j]) {
    $i--; $j--;
}
if (!$res && $i > 0 && file_exists(substr($tmp, 0, ($i + 1))."/main.inc.php")) {
    $res = @include substr($tmp, 0, ($i + 1))."/main.inc.php";
}
if (!$res && $i > 0 && file_exists(dirname(substr($tmp, 0, ($i + 1)))."/main.inc.php")) {
    $res = @include dirname(substr($tmp, 0, ($i + 1)))."/main.inc.php";
}
// Try main.inc.php using relative path
if (!$res && file_exists("../main.inc.php")) {
    $res = @include "../main.inc.php";
}
if (!$res && file_exists("../../main.inc.php")) {
    $res = @include "../../main.inc.php";
}
if (!$res && file_exists("../../../main.inc.php")) {
    $res = @include "../../../main.inc.php";
}
if (!$res) {
    die("Include of main fails");
}

require_once DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php';
require_once DOL_DOCUMENT_ROOT . '/core/class/CMailFile.class.php';
require_once DOL_DOCUMENT_ROOT .'/core/class/html.formmail.class.php';
dol_include_once('/ichosting/lib/ichosting.lib.php');
include DOL_DOCUMENT_ROOT.'/core/actions_sendmails.inc.php';
// Load translation files required by the page
$langs->loadLangs(array("ichosting@ichosting"));

$action = GETPOST('action', 'aZ09');


// Security check
// if (! $user->rights->ichosting->myobject->read) {
// 	accessforbidden();
// }
$socid = GETPOST('socid', 'int');
if (isset($user->socid) && $user->socid > 0) {
    $action = '';
    $socid = $user->socid;
}

$max = 5;
$now = dol_now();


global $user, $conf;
$error = 0;
$users = array("master");
//print '<pre>'.print_r($conf->global->IC_HOSTING_USER_SWITCHER_USERS,1).'</pre>';
if(!empty($conf->global->IC_HOSTING_USER_SWITCHER_USERS)){
   $users = array_merge($users,explode(",",$conf->global->IC_HOSTING_USER_SWITCHER_USERS));
}
if(in_array($user->login,$users)) {
    $_SESSION['dol_main_login'] = $_SESSION['dol_login'];
}
if (isset($_SESSION['dol_main_login']) && !empty($_SESSION['dol_main_login'])) {
        // Get parameters
        $user_login = GETPOST('login', 'alpha');
        $backtopage = GETPOST('backtopage', 'alpha');
        $main_login = isset($_SESSION['dol_main_login']) ? $_SESSION['dol_main_login'] : $user->login;
        $hidden_users = array();
        $hidden_users = explode(',', $conf->global->USER_SWITCHER_HIDDEN_USERS);
        foreach ($hidden_users as $key => $login) {
            if ($login == $main_login) {
                unset($hidden_users[$key]);
            }
        }

        // Set user
        if (!empty($user_login) && !in_array($user_login, $hidden_users)) {
            $_SESSION['dol_login'] = $user_login;
            if (!isset($_SESSION['dol_main_login'])) {
                $_SESSION['dol_main_login'] = $user->login;
            }
            // Redirect
            if (!empty($backtopage)) {
                header('Location: ' . $backtopage);
            }
        } else {
            $error++;
        }

}else {
    $error++;
}

if ($error > 0) {
    if (isset($_SESSION['dol_main_login'])) {
        unset($_SESSION['dol_main_login']);
    }
    accessforbidden();
}


llxFooter();
$db->close();